<?php

declare(strict_types=1);

namespace Gls\GlsPoland\PrestaShop\MessageHandler\Carrier;

use Gls\GlsPoland\PrestaShop\DTO;
use Gls\GlsPoland\PrestaShop\Message\CreateCarrierCommandInterface;

interface CarrierFactoryInterface
{
    public function create(CreateCarrierCommandInterface $command): DTO\Carrier;
}
